No dependas de paquetes adaptados a Laravel (u otro framework PHP)

Cuando encuentras una dependencia que quiere añadir a tu proyecto ¿a que es muy cómodo encontrar que alguien ya la adaptado a tu framework favorito? Esto te ahorra algo de trabajo y es una ventaja.

¡Pero cuidado!

Esto viene con un coste que puede ser alto.

A mí me ha ocurrido en más de una ocasión (y he visto a mucha gente que le ha sucedido) que no puedes actualizar la dependencia porque la adaptación a Laravel ya no la mantienen.

Es bastante habitual que alguien abandone un proyecto. Cuando esto sucede te quedas un poco con el culo al aire.

Qué poco satisfactorio es hacer un sencillo y cómodo:

$ composer update

Y ver cómo empiezan a salir errores de dependencias.

Y ya sabemos que este tipo de cosas ocurren en el peor momento posible y cuando el cliente está mirando.

Así que ya sabes, tómate un poco de trabajo hoy para ahorrarte problemas mañana.

En resumen:

  • Estás añadiendo una dependencia innecesaria a tu proyecto.
  • Dependerás de la persona que mantiene el paquete para poder actualizar.

Me siento solo, dime algo...